Como instalar Flash en Ubuntu 16.04 para Chromium y Firefox

Flash en Ubuntu
Flash en Ubuntu

Flash cada vez más se vuelve un problema en Ubuntu, pero por suerte siempre hay soluciones. Lastimosamente las versiones cambian para 32 bits y 64bits.

Chromium y Firefox
Por defecto, Firefox ya debería de estar instalado.

sudo apt install chromium-browser firefox

Eliminar versiones previas de Flash

sudo apt purge --remove adobe-flashplugin flashplugin-installer pepperflashplugin-nonfree

Flash Player v.21 para 64bit
En 64 bits es mucho más fácil tener la versión más reciente de Flash. Esta versión instalará Pepper Flash Plugin. Antes solamente servía para Chromium, pero ahora por suerte también sirve para Firefox. De esta manera Firefox ya no se queda atrás con una versión precaría de Flash.

sudo apt install browser-plugin-freshplayer-pepperflash 

Flash Player v.11 para 32bit
Cada vez más la versión 32 bits se está volviendo más obsoleto y cada vez hay menos mantenimiento. Pepper Flash ya no funciona en la versión de 32 bits, pero hay muchos usuarios que todavía usan Chromium ya que Chrome no tiene soporte para la versión 32 bits de Ubuntu.

sudo apt install adobe-flashplugin

Este paquete instalará la misma versión de Flash para Firefox y Chromium.

Revisar tu versión de Flash
Para los dos navegadores en la barra de direcciones pongan

Chromium – chrome://plugins

Firefox – about:plugins
Versiones de Flash en Firefox y en Chromium
Versiones de Flash en Firefox y en Chromium
(Visited 36.753 times, 5 visits today)

Comments

comments


Post Relacionados

20 Comments on Como instalar Flash en Ubuntu 16.04 para Chromium y Firefox

  1. ¡Gracias, gracias, gracias! Tengo instalado ubuntu por una cuestión de principios, pero no tengo más conocimiento que un usuario standard, así que para mí, instalar algo es siempre un problema. He pedido ayuda y me la han dado, pero como los genios informáticos hablan otro idioma, esa ayuda generalmente me resulta ininteligible.
    Pero con la ayuda que encontré aquí fue sencillísimo y funcionó perfecto. ¡Gracias otra vez

    • hola mari me pasa igual, yo aposte instalar ubuntu como mi primer SO en base a linux de mi vida y cnfieso que me ha gustdo aunque me hn pasado amuchas malas experiencias por mi falta de conocimiento. Me doy cuenta que aqui todo es configurable algo que windows te ahorra pero que a la final hace que el usuario no entienda ni le interese el por que funcionan estas cosas

      Ahora mismo tengo problemas con esto del flash para ubuntu es el unico critique que he recibido de parte de mi familia que tambien usa la pc por que de resto hacen todo lo que hacian en windows, tu o alguien mas me podras ayudar para lograr la instalacion del flash en ubuntu por que por ejemplo no se que significa esto:

      sudo apt install browser-plugin-freshplayer-pepperflash

      Ni donde va, ni que ser hace con el :/ gracias de antemano ;).

      • Hola Daniel,
        el comando “sudo apt install browser-plugin-freshplayer-pepperflash” sirve para instalar (“apt install”) el paquete (“browser-plugin-freshplayer-pepperflash”) con permisos de superusuario (“sudo”).
        Este comando se ejecuta desde el terminal, lo puedes abrir pulsando Ctrl+Alt+T.
        Si tienes alguna otra duda, no dudes en consultar.

  2. Hola, gracias por el post! Tenia una versión anterior de ubuntu y me funcionaba perfecto el flash. Actualicé al 16.04 y no puedo instalarlo, me dice lo siguiente: sheila@sheila-HP420:~$ sudo apt-get install adobe-flashplugin
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    El paquete adobe-flashplugin no está disponible, pero algún otro paquete hace referencia
    a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
    encuentra disponible desde alguna otra fuente

    E: El paquete «adobe-flashplugin» no tiene un candidato para la instalación
    Me podrás dar una mano para resolverlo?
    Desde ya, muchas gracias
    Sheila

    • Acabo de borrar el adobe-flashplugin que tenia instalado en mi computadora y volvi actualizar la lista de los repositorios y todavia me muestra que sigue activo en los ppa.

      Creo que no hiciste sudo apt update antes.
      Proba de nuevo

      sudo apt update
      sudo apt install adobe-flashplugin

      • Hola, soy Pierre
        He instalado la version 16.10 (Yakkety) y chromium.
        a instalar este plugin tengo:
        ~$ sudo apt install adobe-flashplugin
        Leyendo lista de paquetes… Hecho
        Creando árbol de dependencias
        Leyendo la información de estado… Hecho
        El paquete adobe-flashplugin no está disponible, pero algún otro paquete hace referencia
        a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
        encuentra disponible desde alguna otra fuente

        E: El paquete «adobe-flashplugin» no tiene un candidato para la instalación

        Que puedo hacer ? el la version 16.04 funcionaba.
        Gracias por su ayuda

        • Ubuntu 16.10 todavia no sale, por eso muchos paquetes todavia no fueron actualizados. Podes probar
          sudo apt install browser-plugin-freshplayer-pepperflash

          en 64bit o para 32bit

          sudo apt install flashplugin-installer

          • Hola Giovani, Gracias por su respuesta.
            Pero despues de sudo apt install flashplugin-installer me ha salido esto-



            Des:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20160913.1.orig.tar.gz [27,2 MB]
            Descargados 27,2 MB en 28s (951 kB/s)
            W: No se podrán ignorar los privilegios para descargar mientras no se pueda acceder a «/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20160913.1.orig.tar.gz» con el usuario «_apt». – pkgAcquire::Run (13: Permiso denegado)
            Installing from local file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20160913.1.orig.tar.gz
            Flash Plugin installed.
            Configurando libpangox-1.0-0:i386 (0.0.2-5) …
            Configurando libpango1.0-0:i386 (1.40.1-1) …
            Configurando flashplugin-installer (11.2.202.635ubuntu1) …
            Procesando disparadores para libc-bin (2.24-3ubuntu1) …

            Ha pasado algo ?
            Gracias

  3. Muchas gracias, por fin me funciona. Estaba cansado de bajar de la web de adobe los paquetes y que me dejasen de funcionar al poco tiempo.
    Es un placer no tener que usar windows, pero linux la verdad es que tampoco es tan fácil como parece. Muchas horas perdidas buscando soluciones.

    • muchas horas aprendiendo que es diferente. linux es para amantes a la informatica y personas que trabajen con programacion y que le gusten los retos .. el resto de las personas que se vallan a jugar a windows

  4. Tengo Xubuntu 16.04.1 LTS pero al abrir un sitio con Flash con el Firefox 47.0 arroja el siguiente error: “Failed to load libpepflashplayer.so Freshwrapper is a translation layer which needs PPAPI plugin backend. Ensure your system have libpepflashplayer.so available. Path tried: /usr/lib/chromiun-browser/pepperflash/libpepflashplayer.so” …
    y otras 13 carpetas más. Lo hice también en Linux Mint 18(Sarah) y el archivo libpepflashplayer.so estaba en /home/mint/.config/google-chrome/PepperFlash/23.0.0.185/ tras haber instalado Google Chrome. ¿Alguna sugerencia para redireccionar hacia esa carpeta o copiar el archivo a una de las carpetas mencionadas arriba?

  5. Hola

    tengo ubuntu 16.04 y chromium. Segui la guia, antes me apareccia el enlace para descargar el archivo y al hacer los cambios ya no veo el link pero no aparece el player

Leave a Reply

Tu dirección de correo no será publicada.


*